#language: ru

@carc

Функционал: 002. CARC. Дозаполение данных по складу

Сценарий: 002.1. CARC. Заполнение ячеек для складов

	Дано Я подключаюсь под "Ведение организаций"
	Дано я удаляю объекты "Справочники.к2СкладскиеЯчейки" без контроля ссылок
	Когда В командном интерфейсе я выбираю 'Нормативно-справочная информация' 'Склады'
	Тогда я жду открытия окна 'Склады' в течение 20 секунд
	* Заполнение ячеек для склада с ячейкой тары
		И в таблице "Список" я перехожу к строке:
			| 'Наименование'         |
			| 'Склад с ячейкой тары' |
		И в таблице "Список" я выбираю текущую строку
		Тогда открылось окно 'Склад с ячейкой тары (Склад)'
		И В текущем окне я нажимаю кнопку командного интерфейса 'Складские ячейки'
		И я нажимаю на кнопку 'Создать'
		Тогда открылось окно 'Складская ячейка (создание)'
		И в поле 'Ряд' я ввожу текст '01'
		И в поле 'Стеллаж' я ввожу текст '001'
		И в поле 'Ярус' я ввожу текст '1'
		И я нажимаю на кнопку 'Записать и закрыть'
		И я жду закрытия окна 'Складская ячейка (создание) *' в течение 20 секунд
		Тогда открылось окно 'Склад с ячейкой тары (Склад)'
		И я нажимаю на кнопку 'Создать'
		Тогда открылось окно 'Складская ячейка (создание)'
		И в поле 'Ряд' я ввожу текст '01'
		И в поле 'Стеллаж' я ввожу текст '001'
		И в поле 'Ярус' я ввожу текст '2'
		И я нажимаю на кнопку 'Записать и закрыть'
		И я жду закрытия окна 'Складская ячейка (создание) *' в течение 20 секунд
		Тогда открылось окно 'Склад с ячейкой тары (Склад)'
		И я нажимаю на кнопку 'Создать'
		Тогда открылось окно 'Складская ячейка (создание)'
		И в поле 'Ряд' я ввожу текст '01'
		И в поле 'Стеллаж' я ввожу текст '001'
		И в поле 'Ярус' я ввожу текст '3'
		И я нажимаю на кнопку 'Записать и закрыть'
		И я жду закрытия окна 'Складская ячейка (создание) *' в течение 20 секунд
		Тогда открылось окно 'Склад с ячейкой тары (Склад)'
		И я нажимаю на кнопку 'Создать'
		Тогда открылось окно 'Складская ячейка (создание)'
		И в поле 'Ряд' я ввожу текст '01'
		И в поле 'Стеллаж' я ввожу текст '001'
		И в поле 'Ярус' я ввожу текст '4'
		И я нажимаю на кнопку 'Записать и закрыть'
		И я жду закрытия окна 'Складская ячейка (создание) *' в течение 20 секунд
		Тогда открылось окно 'Склад с ячейкой тары (Склад)'
		И В текущем окне я нажимаю кнопку командного интерфейса 'Основное'
		И я нажимаю на кнопку 'Перечитать'
		И я перехожу к закладке "Адресное хранение"
		И из выпадающего списка "Ячейка приемки" я выбираю по строке '0010011'
		И из выпадающего списка "Ячейка отгрузки" я выбираю по строке '0010012'
		И из выпадающего списка "Ячейка пересчета" я выбираю по строке '0010013'
		И из выпадающего списка "Ячейка тары" я выбираю по строке '0010014'
		И я нажимаю на кнопку 'Записать и закрыть'
		И я жду закрытия окна 'Склад с ячейкой тары (Склад) *' в течение 20 секунд
		Тогда открылось окно 'Склады'
	* Заполнение ячеек для склада с ячейкой тары 2
		И в таблице "Список" я перехожу к строке:
			| 'Наименование'           |
			| 'Склад с ячейкой тары 2' |
		И в таблице "Список" я выбираю текущую строку
		Тогда открылось окно 'Склад с ячейкой тары 2 (Склад)'
		И В текущем окне я нажимаю кнопку командного интерфейса 'Складские ячейки'
		И я нажимаю на кнопку 'Создать'
		Тогда открылось окно 'Складская ячейка (создание)'
		И в поле 'Ряд' я ввожу текст '01'
		И в поле 'Стеллаж' я ввожу текст '002'
		И в поле 'Ярус' я ввожу текст '1'
		И я нажимаю на кнопку 'Записать и закрыть'
		И я жду закрытия окна 'Складская ячейка (создание) *' в течение 20 секунд
		Тогда открылось окно 'Склад с ячейкой тары 2 (Склад)'
		И я нажимаю на кнопку 'Создать'
		Тогда открылось окно 'Складская ячейка (создание)'
		И в поле 'Ряд' я ввожу текст '01'
		И в поле 'Стеллаж' я ввожу текст '002'
		И в поле 'Ярус' я ввожу текст '2'
		И я нажимаю на кнопку 'Записать и закрыть'
		И я жду закрытия окна 'Складская ячейка (создание) *' в течение 20 секунд
		Тогда открылось окно 'Склад с ячейкой тары 2 (Склад)'
		И я нажимаю на кнопку 'Создать'
		Тогда открылось окно 'Складская ячейка (создание)'
		И в поле 'Ряд' я ввожу текст '01'
		И в поле 'Стеллаж' я ввожу текст '002'
		И в поле 'Ярус' я ввожу текст '3'
		И я нажимаю на кнопку 'Записать и закрыть'
		И я жду закрытия окна 'Складская ячейка (создание) *' в течение 20 секунд
		Тогда открылось окно 'Склад с ячейкой тары 2 (Склад)'
		И я нажимаю на кнопку 'Создать'
		Тогда открылось окно 'Складская ячейка (создание)'
		И в поле 'Ряд' я ввожу текст '01'
		И в поле 'Стеллаж' я ввожу текст '002'
		И в поле 'Ярус' я ввожу текст '4'
		И я нажимаю на кнопку 'Записать и закрыть'
		И я жду закрытия окна 'Складская ячейка (создание) *' в течение 20 секунд
		Тогда открылось окно 'Склад с ячейкой тары 2 (Склад)'
		И В текущем окне я нажимаю кнопку командного интерфейса 'Основное'
		И я нажимаю на кнопку 'Перечитать'
		И я перехожу к закладке "Адресное хранение"
		И из выпадающего списка "Ячейка приемки" я выбираю по строке '0010021'
		И из выпадающего списка "Ячейка отгрузки" я выбираю по строке '0010022'
		И из выпадающего списка "Ячейка пересчета" я выбираю по строке '0010023'
		И из выпадающего списка "Ячейка тары" я выбираю по строке '0010024'
		И я нажимаю на кнопку 'Записать и закрыть'
		И я жду закрытия окна 'Склад с ячейкой тары 2 (Склад) *' в течение 20 секунд
		Тогда открылось окно 'Склады'
	И Я закрываю окно 'Склады'

Сценарий: 002.2. CARC. Завершение

	И я закрываю сеанс TESTCLIENT